import 'package:afterwork/data/models/user_model.dart';

/// Modèle représentant un participant à un événement.
class ParticipantModel extends UserModel {
  ParticipantModel({
    required String id,
    required String nom,
    required String prenoms,
  }) : super(
    userId: id,
    nom: nom,
    prenoms: prenoms,
    email: '', // Valeur par défaut vide
    motDePasse: '', // Valeur par défaut vide
  );

  factory ParticipantModel.fromJson(Map<String, dynamic> json) {
    return ParticipantModel(
      id: json['id'],
      nom: json['nom'],
      prenoms: json['prenoms'],

    );
  }

  @override
  Map<String, dynamic> toJson() {
    return {
      'id': userId,
      'nom': nom,
      'prenoms': prenoms,
    };
  }
}
